Quickly add an employee with minimal details and kiosk enabled. If the employee already exists, the kiosk will be enabled for that employee.

Request

POST http:///api/v2/business/{businessId}/manager/kiosk/{kioskId}/staff

Path parameters

Parameter name Value Description Additional
kioskId int32 Required
businessId string Required

Request body

The request body takes a complete KioskCreateEmployeeModel resource, containing the following writable properties:

{
    "email": "string",
    "firstName": "string",
    "mobileNumber": "string",
    "pin": "string",
    "surname": "string"
}

Properties

Name Type Description
email string String
firstName string String
mobileNumber string String
pin string String
surname string String

Response

The following HTTP status codes may be returned, optionally with a response resource.

Status code Description Resource
200 OK

OK

BasicKioskEmployeeModel
400 Bad Request

Bad Request

ProblemDetails
401 Unauthorized

Unauthorized

ProblemDetails
403 Forbidden

Forbidden

ProblemDetails
404 Not Found

Not Found

ProblemDetails
409 Conflict

Conflict

ProblemDetails